> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mem0.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Create a new project within an organization on the Mem0 platform to isolate memory resources.



## OpenAPI

````yaml post /api/v1/orgs/organizations/{org_id}/projects/
openapi: 3.0.1
info:
  title: Mem0 API Docs
  description: mem0.ai API Docs
  contact:
    email: support@mem0.ai
  license:
    name: Apache 2.0
  version: v1
servers:
  - url: https://api.mem0.ai/
security:
  - ApiKeyAuth: []
paths:
  /api/v1/orgs/organizations/{org_id}/projects/:
    post:
      tags:
        - projects
      summary: Create project
      description: Create a new project within an organization.
      operationId: create_project
      parameters:
        - name: org_id
          in: path
          required: true
          description: Unique identifier of the organization.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: Name of the project to be created
      responses:
        '200':
          description: Project created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Project created successfully.
                  project_id:
                    type: string
                    format: uuid
                    description: Unique identifier for the project.
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Project could not be created.
        '403':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized to create projects in this organization.
      x-code-samples:
        - lang: Python
          source: >-
            import requests


            url =
            "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/"


            payload = {"name": "<string>"}

            headers = {
                "Authorization": "Token <api-key>",
                "Content-Type": "application/json"
            }


            response = requests.request("POST", url, json=payload,
            headers=headers)


            print(response.text)
        - lang: JavaScript
          source: >-
            const options = {
              method: 'POST',
              headers: {Authorization: 'Token <api-key>', 'Content-Type': 'application/json'},
              body: '{"name":"<string>"}'
            };


            fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/',
            options)
              .then(response => response.json())
              .then(response => console.log(response))
              .catch(err => console.error(err));
        - lang: cURL
          source: |-
            curl --request POST \
              --url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/ \
              --header 'Authorization: Token <api-key>' \
              --header 'Content-Type: application/json' \
              --data '{
              "name": "<string>"
            }'
        - lang: Go
          source: "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/\"\n\n\tpayload := strings.NewReader(\"{\n  \\\"name\\\": \\\"<string>\\\"\n}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"Authorization\", \"Token <api-key>\")\n\treq.Header.Add(\"Content-Type\", \"application/json\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
        - lang: PHP
          source: |-
            <?php

            $curl = curl_init();

            curl_setopt_array($curl, [
              CURLOPT_URL => "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/",
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => "",
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 30,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => "POST",
              CURLOPT_POSTFIELDS => "{
              \"name\": \"<string>\"
            }",
              CURLOPT_HTTPHEADER => [
                "Authorization: Token <api-key>",
                "Content-Type: application/json"
              ],
            ]);

            $response = curl_exec($curl);
            $err = curl_error($curl);

            curl_close($curl);

            if ($err) {
              echo "cURL Error #:" . $err;
            } else {
              echo $response;
            }
        - lang: Java
          source: >-
            HttpResponse<String> response =
            Unirest.post("https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/")
              .header("Authorization", "Token <api-key>")
              .header("Content-Type", "application/json")
              .body("{
              \"name\": \"<string>\"
            }")
              .asString();
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key authentication. Prefix your Mem0 API key with 'Token '. Example:
        'Token your_api_key'

````